////////////////////////////////////////////////////////////////////////////////
// Draw.h
//
//  DirectDraw graphics-handling code

#ifndef __DRAW_H__
#define __DRAW_H__

// Application-specific
extern	HWND	hWndMain;
extern	void	ReloadAllSurfaces();

// From Draw.cpp
extern	IDirectDraw7		*g_pDD;
extern	IDirectDrawSurface7	*g_lpPrimary, *g_lpBackBuffer;

BOOL InitDirectDraw(int cxScreen = 640, int cyScreen = 480, int nBPP = 16);
void ExitDirectDraw();
IDirectDrawSurface7 *LoadSurface(LPCTSTR lpFilename);
BOOL BackBlt(int x, int y, IDirectDrawSurface7 *lpSurf, LPCRECT pRect, DWORD dwFlags);
BOOL ClearScreen(DWORD dwColour = 0);

#endif
