////////////////////////////////////////////////////////////////////////////////
// Window.h
//
//  Window handling code

#ifndef __WINDOW_H__
#define __WINDOW_H__

//TRUE if our application is active
extern	BOOL	g_bActive;
//Main window handle
extern	HWND	hWndMain;

//Initialise the main window
BOOL InitWindow(LPCTSTR lpTitle);
//Main message loop function
void Run();

//Application-defined function called to play music when window is activated
extern	void PlayBackgroundMusic();
//Application-defined function called to stop music when window is deactivated
extern	void StopBackgroundMusic();
//Application-defined function called when message loop is idle
extern	void OnIdle();
//Application-defined function called when window closes
void	OnClose();

#endif
