////////////////////////////////////////////////////////////////////////////////
// Sound.h
//
//  Sound-handling code

#ifndef __SOUND_H__
#define __SOUND_H__

extern	IDirectMusicPerformance8	*g_pMusicPerformance;
extern	IDirectMusicLoader8			*g_pMusicLoader;

BOOL InitDirectMusic();
void ExitDirectMusic();

IDirectMusicSegment8 *LoadSound(LPCWSTR wszFilename);
void DownloadSound(IDirectMusicSegment8 *pSegment);
void PlaySound(IDirectMusicSegment8 *pSegment, DWORD dwFlags = 0);
void StopSound(IDirectMusicSegment8 *pSegment);
void UnloadSound(IDirectMusicSegment8 *pSegment);

void StopAllSound();


#endif
